Bug 754436 - Review Request: libvirt-glib - libvirt glib integration for event
Summary: Review Request: libvirt-glib - libvirt glib integration for event
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-16 13:54 UTC by Daniel Berrange
Modified: 2011-11-28 18:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-28 18:16:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Berrange 2011-11-16 13:54:15 UTC
Spec URL: http://berrange.fedorapeople.org/review/libvirt-glib/libvirt-glib.spec
SRPM URL: http://berrange.fedorapeople.org/review/libvirt-glib/libvirt-glib-0.0.1-1.fc17.src.rpm
Description: This package provides integration between libvirt and the glib
event loop.

Comment 1 Matthias Clasen 2011-11-21 19:48:32 UTC
Builds fine in mock

rpmlint output:

rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
libvirt-gconfig.x86_64: W: summary-not-capitalized C libvirt object APIs for processing object configuration
libvirt-gconfig.x86_64: W: no-documentation
libvirt-gconfig.x86_64: E: library-without-ldconfig-postin /usr/lib64/libvirt-gconfig-1.0.so.0.0.1
libvirt-gconfig.x86_64: E: library-without-ldconfig-postun /usr/lib64/libvirt-gconfig-1.0.so.0.0.1
libvirt-gconfig-devel.x86_64: W: summary-not-capitalized C libvirt object APIs for processing object configuration development files
libvirt-glib.src: W: summary-not-capitalized C libvirt glib integration for events
libvirt-glib.x86_64: W: summary-not-capitalized C libvirt glib integration for events
libvirt-glib.x86_64: E: incorrect-fsf-address /usr/share/doc/libvirt-glib-0.0.1/COPYING
libvirt-glib.x86_64: E: library-without-ldconfig-postin /usr/lib64/libvirt-glib-1.0.so.0.0.1
libvirt-glib.x86_64: E: library-without-ldconfig-postun /usr/lib64/libvirt-glib-1.0.so.0.0.1
libvirt-glib-devel.x86_64: W: summary-not-capitalized C libvirt glib integration for events development files
libvirt-glib-python.x86_64: W: summary-not-capitalized C libvirt glib integration for events python binding
libvirt-glib-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/libvirtglibmod.so libvirtglibmod.so()(64bit)
libvirt-glib-python.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/libvirtglibmod.a
libvirt-gobject.x86_64: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libvirt-gobject.x86_64: W: summary-not-capitalized C libvirt object APIs for managing virtualization hosts
libvirt-gobject.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libvirt-gobject.x86_64: W: no-documentation
libvirt-gobject.x86_64: E: library-without-ldconfig-postin /usr/lib64/libvirt-gobject-1.0.so.0.0.1
libvirt-gobject.x86_64: E: library-without-ldconfig-postun /usr/lib64/libvirt-gobject-1.0.so.0.0.1
libvirt-gobject-devel.x86_64: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libvirt-gobject-devel.x86_64: W: summary-not-capitalized C libvirt object APIs for managing virtualization hosts development files
libvirt-gobject-devel.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
9 packages and 0 specfiles checked; 7 errors, 16 warnings.

Comment 2 Matthias Clasen 2011-11-21 19:54:41 UTC
Quick preliminary review of the spec file:

I guess you are aiming for building on old releases as well, which explains why you have  rm -rf $RPM_BUILD_ROOT in %install and a %clean section. In F16/F17, these are no longer needed.

ldconfig in %post/%postun is indeed missing

Is the 2008 date in %changelog a typo ?

Comment 3 Daniel Berrange 2011-11-22 10:25:10 UTC
Updated SRPM & specfile

http://berrange.fedorapeople.org/review/libvirt-glib/libvirt-glib-0.0.1-2.fc15.src.rpm
http://berrange.fedorapeople.org/review/libvirt-glib/libvirt-glib.spec

 - Added missing ldconfig invocation for all sub-RPMs with libraries
 - Fixed bogus changelog date
 - Fixed conditional which accidentally allowed the -python library to be enabled on Fedora > 15

FYI, I will fix the FSF address in COPYING in next upstram release.

And yes, the buildroot cleanup is so that this also builds on F15 distros. It can be removed in the future when that goes unsupported.

Comment 4 Matthias Clasen 2011-11-24 18:08:34 UTC
Builds fine in mock, rpmlint output:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
libvirt-gconfig.x86_64: W: summary-not-capitalized C libvirt object APIs for processing object configuration
libvirt-gconfig.x86_64: W: no-documentation
libvirt-gconfig-devel.x86_64: W: summary-not-capitalized C libvirt object APIs for processing object configuration development files
libvirt-glib.src: W: summary-not-capitalized C libvirt glib integration for events
libvirt-glib.x86_64: W: summary-not-capitalized C libvirt glib integration for events
libvirt-glib.x86_64: E: incorrect-fsf-address /usr/share/doc/libvirt-glib-0.0.1/COPYING
libvirt-glib-devel.x86_64: W: summary-not-capitalized C libvirt glib integration for events development files
libvirt-gobject.x86_64: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libvirt-gobject.x86_64: W: summary-not-capitalized C libvirt object APIs for managing virtualization hosts
libvirt-gobject.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
libvirt-gobject.x86_64: W: no-documentation
libvirt-gobject-devel.x86_64: W: spelling-error Summary(en_US) virtualization -> visualization, actualization, vitalization
libvirt-gobject-devel.x86_64: W: summary-not-capitalized C libvirt object APIs for managing virtualization hosts development files
libvirt-gobject-devel.x86_64: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
8 packages and 0 specfiles checked; 1 errors, 13 warnings.


This all looks fine.

Comment 5 Daniel Berrange 2011-11-25 09:56:26 UTC
Can you toggle the fedora-review=+ flag if you consider this approved now.

Comment 6 Matthias Clasen 2011-11-28 15:40:49 UTC
Sorry for dragging my feet here, there was this turkey thing... anyway, I'll get the formal review completed today

Comment 7 Matthias Clasen 2011-11-28 16:51:03 UTC
package name: ok
spec file name: ok
packaging guidelines: ok, modulo whats mentioned below
license: ok
license field: ok
license file: ok
spec language: ok
spec readable: ok
upstream sources: ok
buildable: ok
excludearch: ok
buildrequires: ok
locale handling: ok
ldconfig: ok
system libs: ok
relocatable: ok
dir ownership: ok
duplicate files: ok
permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
headers: ok
static libs: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: ok
file ownership: ok
utf8 filenames: ok

Comment 8 Daniel Berrange 2011-11-28 17:08:28 UTC
New Package SCM Request
=======================
Package Name: libvirt-glib
Short Description: libvirt integration with GLib / GObject
Owners: berrange
Branches: f15 f16
InitialCC:

Comment 9 Gwyn Ciesla 2011-11-28 17:28:30 UTC
Git done (by process-git-requests).

Mattias, please take ownership of review BZs.  Thanks!

Comment 10 Daniel Berrange 2011-11-28 18:16:26 UTC
Built into rawhide.


Note You need to log in before you can comment on or make changes to this bug.